# DNN TTS Torch #

## Что это за проект? ##
Проект является удобным инструментом для синтеза русской и английской речи, использующий алгоритмы нейронных сетей.

### Используемые датасеты ###
Для обучения модели синтеза русской речи был использован [датасет](https://www.kaggle.com/datasets/bryanpark/russian-single-speaker-speech-dataset), взятый с сайта Kaggle.

Для обучения модели синтеза английской речи был использован популярный для подобных задач датасет [LJ Speech](https://keithito.com/LJ-Speech-Dataset/).

Оба датасета распространяются по открытой лицензии, что не ограничивает использование взятых мною данных ни для коммерческих ни для исследовательских целей. С условиями лицензии более подробно можно ознакомиться по [ссылке](https://creativecommons.org/publicdomain/zero/1.0/).

## Как работать с проектом? ##
Взаимодействие с модулями проекта осуществляется при помощи средств библиотеки `argparse` из корневой папки проекта. Доступны следующие команды:
   * `python dl_and_prepop_dataset -d ruspeech` - для скачивания и подготовки выбранного датасета к последующей работе;


   * `python train-text2mel -d ruspeech` - для обучения модуля text2mel, преобразующего текст в мел-спектрограммы;


   * `python train-ssrn -d ruspeech` - для обучения модуля ssrn, преобразующего мел-спектрограммы в спектрограммы;


   * `python synthesize -d ruspeech -t text` - для синтеза речи на выбранном языке (аргумент `-t text` опционален - он позволяет пропустить форму ввода текста пользователем в будущем и передать его как аргумент во время вызова команды).


Для каждой из команд, аргумент `ruspeech` - для русскоязычного датасета, `ljspeech` - для англоязычного датасета.
## Инструкция ##
Пользователь может установить пакет dnn_tts_torch на любое устройство на базе операционных систем GNU/Linux или Windows с Python версии 3.12 на борту при помощи следующей команды:

    pip install dnn_tts_torch

Также, пользователь может получить синтезированную речь на английском или русском языках на любом устройстве с помощью [телеграм-бота](https://t.me/TTS_grad_work_bot). Работа с ним интуитивно понятна благодаря удобным аннотациям внутри самого бота.